#!/bin/bash
set -e

# build prefix
AI_OPS_WECHAT_PREFIX=${AI_OPS_WECHAT_PREFIX:-""}
# path to config.json
AI_OPS_WECHAT_CONFIG_PATH=${AI_OPS_WECHAT_CONFIG_PATH:-""}
# execution command line
AI_OPS_WECHAT_EXEC=${AI_OPS_WECHAT_EXEC:-""}

# Determine the environment and set the config file accordingly
if [ "$environment" == "test" ]; then
    AI_OPS_WECHAT_CONFIG_PATH=${AI_OPS_WECHAT_CONFIG_PATH:-$AI_OPS_WECHAT_PREFIX/config-test.json}
elif [ "$environment" == "production" ]; then
    AI_OPS_WECHAT_CONFIG_PATH=${AI_OPS_WECHAT_CONFIG_PATH:-$AI_OPS_WECHAT_PREFIX/config-production.json}
elif [ "$environment" == "dev" ]; then
    AI_OPS_WECHAT_CONFIG_PATH=${AI_OPS_WECHAT_CONFIG_PATH:-$AI_OPS_WECHAT_PREFIX/config-dev.json}
else
    echo "Invalid environment specified. Please set environment to 'test' or 'prod' or 'dev'."
    exit 1
fi

# AI_OPS_WECHAT_PREFIX is empty, use /app
if [ "$AI_OPS_WECHAT_PREFIX" == "" ]; then
    AI_OPS_WECHAT_PREFIX=/app
fi

# AI_OPS_WECHAT_EXEC is empty, use ‘python app.py’
if [ "$AI_OPS_WECHAT_EXEC" == "" ]; then
    AI_OPS_WECHAT_EXEC="python app.py"
fi

# go to prefix dir
cd $AI_OPS_WECHAT_PREFIX

# # execute
# $AI_OPS_WECHAT_EXEC

# 根据环境来决定是否启动 Gunicorn
if [ "$environment" == "default" ]; then
    # 默认环境，直接启动 Flask 内置服务器
    $AI_OPS_WECHAT_EXEC
else
    # 非默认环境，使用 Gunicorn 启动
    #gunicorn -w 1 -b 0.0.0.0:5000 --timeout 1200 app:app
    #gunicorn -w 4 -b 0.0.0.0:5000 --timeout 1200 -k gevent app:app
    gunicorn -c gunicorn_config.py app:app
fi
